{% extends 'base.html.twig' %}

{% block title %}Notificaciones{% endblock %}

{% block body %}

    <div class="container">
        <div class="col-12 timeline box-timeline">
            <h1>Notificaciones </h1>
            <hr>
            <div class="box-content"> 
                {% if pagination is not empty %}

                    {% for notification in pagination %}
                        {% set not_user=notification.typeId|get_user %}
                        <div class="alert alert-primary alert-dismissible fade show" role="alert">
                            {% if notification.type=='like' %}
                               a <a href="{{path('user_profile',{'nickname':not_user.nick})}}"> {{not_user.name}} {{not_user.surname}} </a> le ha gustado tu publicación
                            {% endif  %}
                            {% if notification.type=='follow' %}
                               <a href="{{path('user_profile',{'nickname':not_user.nick})}}"> {{not_user.name}} {{not_user.surname}} </a> ha comenzado a seguirte
                            {% endif  %}
                            <button type="button" class="close btn-close-notification" data-dismiss="alert" aria-label="Close" data-id="{{notification.id}}">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                    {% endfor %}
                {% else %}
                    <h2> No tiene ninguna notificación</h2>
                {% endif %}
            </div>
            <div class="navigation">
                {{ knp_pagination_render(pagination) }}
            </div>     
        </div>    
    {% endblock %}
    {% block javascripts %}
        <script src="{{asset('assets/js/home.js')}}"></script>
    {% endblock %}



